Deactivate Service Account
curl --request PUT \
--url https://api.dfns.io/auth/service-accounts/{serviceAccountId}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '{
"force": false
}'import requests
url = "https://api.dfns.io/auth/service-accounts/{serviceAccountId}/deactivate"
payload = { "force": False }
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({force: false})
};
fetch('https://api.dfns.io/auth/service-accounts/{serviceAccountId}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userInfo": {
"username": "<string>",
"name": "<string>",
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"credentialUuid": "<string>",
"isActive": true,
"isServiceAccount": true,
"isRegistered": true,
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "pm-37vj4-jkr4l-lc9945spfftkne57",
"assignmentId": "as-1vcmc-qrek0-6b4vii9pln60907e",
"operations": [
"<string>"
]
}
],
"orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
"tenantId": "acct-24hka-dhili-9hgvdlvr1ohpibp4",
"permissions": [
"<string>"
]
},
"accessTokens": [
{
"dateCreated": "2023-04-14T20:41:28.715Z",
"credId": "<string>",
"isActive": true,
"linkedUserId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"linkedAppId": "ap-2a9in-tt2a1-983lho480p35ejd0",
"name": "<string>",
"orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "pm-37vj4-jkr4l-lc9945spfftkne57",
"assignmentId": "as-1vcmc-qrek0-6b4vii9pln60907e",
"operations": [
"<string>"
]
}
],
"publicKey": "<string>",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt",
"accessToken": "<string>"
}
]
}Deactivate Service Account
Deactivate a specific Service Account.
PUT
/
auth
/
service-accounts
/
{serviceAccountId}
/
deactivate
Deactivate Service Account
Authentication
✅ Organization User (CustomerEmployee)❌ Delegated User (
EndUser)❌ Personal Access Token not allowed
✅ Service Account
Required Permissions
Auth:ServiceAccounts:Deactivate: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Path Parameters
ID of the service account.
Required string length:
1 - 64Body
application/json
If true, bypasses the policy approver check and deactivates immediately.
Last modified on July 9, 2026
Was this page helpful?
⌘I